Bug 1516117 - Review Request: python-hexdump - Dump binary data to hex format and restore from there
Summary: Review Request: python-hexdump - Dump binary data to hex format and restore f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 05:27 UTC by Michal Ambroz
Modified: 2018-03-15 12:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-28 17:09:55 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Michal Ambroz 2017-11-22 05:27:07 UTC
Spec URL: http://rebus.fedorapeople.org//python-hexdump.spec
SRPM URL: http://rebus.fedorapeople.org//python-hexdump-3.4-0.1.hg66325cb5fed8.fc25.src.rpm

Description:
Python library to dump binary data to hex format and restore from there

Comment 1 Robert-André Mauchin 🐧 2017-11-28 20:25:09 UTC
 - If you package a snapshot you need to add the commit date:

%global         commit         66325cb5fed890df4a345e25ea8f107fd31b60d8
%global         shortcommit    %(c=%{commit}; echo ${c:0:12})
%global         commitdate     20160818


Name:           python-hexdump
Version:        3.4
Release:        0.1.%{commitdate}hg%{shortcommit}%{?dist}

 - Changelog version is not coherent with the header one:

* Wed Oct 04 2017 Michal Ambroz <rebus _AT seznam.cz> - 3.4-0.1.20160818hg66325cb5fed8

Comment 2 David Carlos 2017-12-01 19:10:53 UTC
Hello Michal,

I will do a unofficial review (this is my first review).

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
========
- Your patch should link to upstream bugs/comments/lists.

- Your snapshot must follows the Fedora versioning guidelines [1].

- Instead of use python%{python3_pkgversion}-setuptools, you can use py3_dist
macro. The same is applicable to python-setuptools.
On the source name, you can also use the srcname macro [2].

- The source version is different from the changelog header. The Version is
set to 3.4 and the changelog points to 3.3-1.

- There are rpmlint warnings on the python3 rpm package.

- Your rpm packages are creating files in the wrong directory. All
files installed by the package are being created in the
/usr/lib/python3.6/site-packages directory, instead
of /usr/lib/python3.6/site-packages/hexdump/ directory.
This is probably happening because your
files section have the %{python3_sitelib}/* macro, instead of %{python3_sitelib}/hexdump/*. You can check that by running
rpm -qpl python3-hexdump-3.4-0.1.hg66325cb5fed8.fc28.noarch.rpm.

- Some files have unknown license.
techtonik-hexdump-66325cb5fed8/.hg_archival.txt
techtonik-hexdump-66325cb5fed8/.hgignore
techtonik-hexdump-66325cb5fed8/.hgtags
techtonik-hexdump-66325cb5fed8/README.txt
techtonik-hexdump-66325cb5fed8/UNLICENSE
techtonik-hexdump-66325cb5fed8/data/hexfile.bin
techtonik-hexdump-66325cb5fed8/data/hexfile.txt
techtonik-hexdump-66325cb5fed8/data/hextest.txt
techtonik-hexdump-66325cb5fed8/data/testdata-far-ansi.txt
techtonik-hexdump-66325cb5fed8/data/testdata-far-utf8.txt
techtonik-hexdump-66325cb5fed8/data/testdata.bin
techtonik-hexdump-66325cb5fed8/hexdump.py
techtonik-hexdump-66325cb5fed8/hexdump.py.setup
techtonik-hexdump-66325cb5fed8/tox.ini

[1] https://fedoraproject.org/wiki/Packaging:Versioning
[2] https://fedoraproject.org/wiki/Packaging:Python#Requires_and_BuildRequires_with_standardized_names

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Public domain". 14
     files have unknown license. Detailed output of licensecheck in
     /home/davidcarlos/rpmbuild/REVISIONS/1516117-python-
     hexdump/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.6/site-
     packages/__pycache__(system-python-libs), /usr/lib/python2.7/site-
     packages/data(pilas)
[?]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[?]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-hexdump , python3-hexdump
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-hexdump-3.4-0.1.hg66325cb5fed8.fc28.noarch.rpm
          python3-hexdump-3.4-0.1.hg66325cb5fed8.fc28.noarch.rpm
          python-hexdump-3.4-0.1.hg66325cb5fed8.fc28.src.rpm
python3-hexdump.noarch: W: no-manual-page-for-binary hexdumpy
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
python3-hexdump.noarch: W: no-manual-page-for-binary hexdumpy
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
python3-hexdump (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)

python2-hexdump (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-hexdump:
    python3-hexdump
    python3.6dist(hexdump)
    python3dist(hexdump)

python2-hexdump:
    python-hexdump
    python2-hexdump
    python2.7dist(hexdump)
    python2dist(hexdump)



Source checksums
----------------
https://bitbucket.org/techtonik/hexdump/get/66325cb5fed8.zip#/python-hexdump-3.4-66325cb5fed8.zip :
  CHECKSUM(SHA256) this package     : 480543731c5fcdd17b60613ed8b5ad256bb5b7bb761c40493a6af6cd148b5ea7
  CHECKSUM(SHA256) upstream package : 480543731c5fcdd17b60613ed8b5ad256bb5b7bb761c40493a6af6cd148b5ea7


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1516117
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Michal Ambroz 2017-12-13 01:26:08 UTC
Spec URL: http://rebus.fedorapeople.org/SPECS/python-hexdump.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/python-hexdump-3.4-0.1.20160818hg66325cb5fed8.fc27.src.rpm

Thank you for review.

>- Your patch should link to upstream bugs/comments/lists.
added 

>- Your snapshot must follows the Fedora versioning guidelines [1].
Changed as recommended to add also the commit date.


>- Instead of use python%{python3_pkgversion}-setuptools, you can use py3_dist
This is recommended way for EPEL where possibly more than one python 3 
versions available simultaneously
https://fedoraproject.org/wiki/PackagingDrafts:Python3EPEL

>- The source version is different from the changelog header.
> The Version is set to 3.4 and the changelog points to 3.3-1
Fixed - 3.4-0.1.20160818hg66325cb5fed8 it is now.

>- There are rpmlint warnings on the python3 rpm package.
Mine was complaining only about missing manpage, which is not part of the original package.
$ rpmlint python-hexdump.spec ~/rpmbuild/RPMS/noarch/python2-hexdump-3.4-0.1.20160818hg66325cb5fed8.fc27.noarch.rpm ~/rpmbuild/RPMS/noarch/python3-hexdump-3.4-0.1.20160818hg66325cb5fed8.fc27.noarch.rpm ~/rpmbuild/SRPMS/python-hexdump-3.4-0.1.20160818hg66325cb5fed8.fc27.src.rpm 
python3-hexdump.noarch: W: no-manual-page-for-binary hexdumpy
3 packages and 1 specfiles checked; 0 errors, 1 warnings.
I have added the man page to clean this warning.

> - Your rpm packages are creating files in the wrong directory. 
> All files installed by the package are being created in the
> /usr/lib/python3.6/site-packages directory, instead
> of /usr/lib/python3.6/site-packages/hexdump/ directory.
I do not like it either, but this is where the author is placing it. 
Same will result from for example "pip install hexdump".

>- Some files have unknown license.
unfortunate that the license is not referenced in each of these files, 
but I believe it is reasonable to believe that the package liense applies,
which is public domain.

Comment 4 Robert-André Mauchin 🐧 2017-12-13 16:03:52 UTC
 - date in changelog is bogus:

* Wed Dec 12 2017

Either Tue 12 or Wed 13.

 - I do not like it either, but this is where the author is placing it. 
Same will result from for example "pip install hexdump".

Patch the setup.py then?

diff -up techtonik-hexdump-66325cb5fed8/setup.py.fix_install_dir techtonik-hexdump-66325cb5fed8/setup.py
--- techtonik-hexdump-66325cb5fed8/setup.py.fix_install_dir     2016-08-18 09:36:52.000000000 +0200
+++ techtonik-hexdump-66325cb5fed8/setup.py     2017-12-13 17:02:35.165067852 +0100
@@ -110,8 +110,9 @@ setup(
         #'Topic :: Utilities',
     ],
 
-    py_modules=['hexdump'],
-    data_files=[('data', ['data/hexfile.bin'])],
+    packages=['hexdump'],
+    package_dir={'hexdump': '.'},
+    package_data={'hexdump': ['data/hexfile.bin']},
 
     long_description=get_description('README.txt'),



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Public domain". 14
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-hexdump/review-python-
     hexdump/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.6/site-
     packages/__pycache__(python3-cycler, python3-libs), /usr/lib/python2.7
     /site-packages/data(pilas)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-hexdump , python3-hexdump
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-hexdump-3.4-0.1.20160818hg66325cb5fed8.fc28.noarch.rpm
          python3-hexdump-3.4-0.1.20160818hg66325cb5fed8.fc28.noarch.rpm
          python-hexdump-3.4-0.1.20160818hg66325cb5fed8.fc28.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 5 Michal Ambroz 2018-01-04 22:21:45 UTC
Spec URL: http://rebus.fedorapeople.org/SPECS/python-hexdump.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/python-hexdump-3.4-0.2.20160818hg66325cb5fed8.fc27.src.rpm

Hello,
thanks for the suggested patch - I have happily added that to the package.
Also changed the bogus changelog date.

Best regards
Michal Ambroz

Comment 6 Robert-André Mauchin 🐧 2018-01-06 18:05:44 UTC
All okay, package approved.

Comment 7 Gwyn Ciesla 2018-02-13 18:07:55 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-hexdump

Comment 8 Fedora Update System 2018-02-15 13:53:03 UTC
python-hexdump-3.4-0.2.20160818hg66325cb5fed8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6fccd3a086

Comment 9 Fedora Update System 2018-02-15 13:53:11 UTC
python-hexdump-3.4-0.2.20160818hg66325cb5fed8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-eb03b4ac26

Comment 10 Fedora Update System 2018-02-15 15:29:11 UTC
python-hexdump-3.4-0.2.20160818hg66325cb5fed8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6fccd3a086

Comment 11 Fedora Update System 2018-02-15 17:15:33 UTC
python-hexdump-3.4-0.2.20160818hg66325cb5fed8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-eb03b4ac26

Comment 12 Fedora Update System 2018-02-28 17:09:55 UTC
python-hexdump-3.4-0.2.20160818hg66325cb5fed8.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-03-06 17:30:35 UTC
python-hexdump-3.4-0.2.20160818hg66325cb5fed8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 jiri vanek 2018-03-15 12:11:54 UTC
Hi!

Except being library, the application containsd main method.
`python  /usr/lib/python2.7/site-packages/hexdump/hexdump.py` jsut wokrs. Why it do not have python-hexdump launcher on path?

Comment 15 jiri vanek 2018-03-15 12:23:57 UTC
btw:
python  /usr/lib/python2.7/site-packages/hexdump/hexdump.py /bin/pwd   | head
00000000: 7F 45 4C 46 02 01 01 00  00 00 00 00 00 00 00 00  .ELF............
00000010: 03 00 3E 00 01 00 00 00  70 1B 00 00 00 00 00 00  ..>.....p.......
00000020: 40 00 00 00 00 00 00 00  20 88 00 00 00 00 00 00  @....... .......
00000030: 00 00 00 00 40 00 38 00  09 00 40 00 1D 00 1C 00  ....@.8...@.....
00000040: 06 00 00 00 05 00 00 00  40 00 00 00 00 00 00 00  ........@.......
00000050: 40 00 00 00 00 00 00 00  40 00 00 00 00 00 00 00  @.......@.......
00000060: F8 01 00 00 00 00 00 00  F8 01 00 00 00 00 00 00  ................
00000070: 08 00 00 00 00 00 00 00  03 00 00 00 04 00 00 00  ................
00000080: 38 02 00 00 00 00 00 00  38 02 00 00 00 00 00 00  8.......8.......
00000090: 38 02 00 00 00 00 00 00  1C 00 00 00 00 00 00 00  8...............
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/hexdump/hexdump.py", line 484, in <module>
    main()
  File "/usr/lib/python2.7/site-packages/hexdump/hexdump.py", line 456, in main
    hexdump(open(args[0], 'rb'))
  File "/usr/lib/python2.7/site-packages/hexdump/hexdump.py", line 247, in hexdump
    print(line)
IOError: [Errno 32] Broken pipe



Bad reactioon to closed stream? Candidate to fix?


Note You need to log in before you can comment on or make changes to this bug.